Bug 432284 - Is it possible to get gpsdrive 2.10 beta?
Is it possible to get gpsdrive 2.10 beta?
Product: Fedora
Classification: Fedora
Component: gpsdrive (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
: 465020 467423 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-02-10 16:56 EST by Trever Adams
Modified: 2009-08-07 15:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.10-0.1.pre7.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-08-04 20:39:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Trever Adams 2008-02-10 16:56:28 EST
Description of problem:
Right now, most of the maps for gpsdrive require some questionable activities it
seems. However, with the latest beta series, there is beginnings of support for
Open Street Maps. Should we make sure the latest series is represented in F9?
Comment 1 Kevin Fenzi 2008-02-10 19:23:58 EST
Well, I dislike the idea of shipping beta versions if it can be avoided. ;( 

Is there any chance he might come out with a final 2.10 sometime?

Have you been running the pre4 version? Is it stable for you? 
Comment 2 Trever Adams 2008-02-10 23:14:27 EST
No, I don't have mapnik and all of the other things installed. I do think a
final should be out soon. But, I am not sure on that.
Comment 3 Bug Zapper 2008-05-14 01:07:28 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 Chris 2008-09-21 19:57:20 EDT
The stable release is more than 4 years old now. Maybe we could switch to the pre2.10 releases (which are marked as current) instead of switching directly to the beta.
The pre6 is totally stable for me, btw.
Comment 5 Kevin Fenzi 2008-10-01 15:32:39 EDT
*** Bug 465020 has been marked as a duplicate of this bug. ***
Comment 6 Kevin Fenzi 2008-10-01 15:34:35 EDT
Yeah, I can look at a pre6 package here soon... 

I am guessing gpsdrive is one of those upstreams that never wants to release the final. ;( 

Thanks for the prodding. I will see about making a test package at least for you guys to test out.
Comment 7 Kevin Fenzi 2008-10-19 12:45:12 EDT
*** Bug 467423 has been marked as a duplicate of this bug. ***
Comment 8 Kevin Fenzi 2008-10-19 12:51:22 EDT
Just to update things here: I have a package that builds, but I need to clean up the perl parts and decide if they should be a subpackage or not. 
Also, there are some scripts that are not distributable, so I need to strip those out. 

Sorry for the delay.
Comment 9 Valent Turkovic 2008-10-20 02:27:51 EDT
Can't wait to the test new version. Thanks Kevin in advance.
Comment 10 Chris 2008-12-24 16:45:34 EST
This bug has been open for almost a year now. Any progress?
Comment 11 Kevin Fenzi 2008-12-26 00:14:20 EST
Sorry again for the delay here. 

I have a package that builds of 2.10-pre6, but it's got a ton of perl modules and other parts that should really be split out. ;( 

Also, there have been a number of security issues with some of the scripts that ship with gpsdrive, leading upstream into dropping them entirely. They are stil there in pre6 however, so I don't want to push anything until the next pre is out. 

Once the next pre is out with the scripts removed, I would be happy to stick up a package for testing and feedback.
Comment 12 Trever Adams 2009-04-06 13:50:38 EDT
I can understand all of this. Thank you for your persistence.
Comment 13 Trever Adams 2009-04-06 13:54:39 EDT
Forgot to retarget to rawhide.
Comment 14 Valent Turkovic 2009-04-08 07:30:53 EDT
Any news from upstream? Are they planing to release new version soon?
Thank you Kevin.
Comment 15 Kevin Fenzi 2009-04-08 22:41:31 EDT
Upstream is talking about tagging 2.10rc1 from current svn. 

I sure hope they do. 
There was talk of a pre7, but I can't find that anywhere for download. 

As soon as a rc1 comes up I will look at whipping up a package so folks can test. 
I suppose I could do a svn snapshot version as well if rc1 doesn't show up soon. 

Thanks for everyone's patience.
Comment 16 Bevis King 2009-05-25 03:21:44 EDT
Any progress on this?  It would be REALLY useful.  Cheers.
Comment 17 Bug Zapper 2009-06-09 05:27:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 18 Kevin Fenzi 2009-06-17 01:58:32 EDT
I am shocked to say that there is now a pre7 up. 

I have a package that builds here, but doesn't yet install correctly due to some odd perl deps I can't seem to track down. ;( 

Hopefully it's close. I will look more on it tomorrow. ;)
Comment 19 Valent Turkovic 2009-06-18 08:58:12 EDT
If you need testers when you manage to fix this issue and build packages, I'm your man ;)
Comment 20 Kevin Fenzi 2009-06-23 01:03:16 EDT
Ask and ye shall receive. ;) 

I have made a scratch f11 build of what I have so far: 


You will need to download this rpm and then 'yum localinstall' it as it needs to pull in a bunch of other packages as dependencies. It complains about some missing icons, but it seems to run ok here after that. 

Any testing feedback before I push this in is welcome.
Comment 21 Valent Turkovic 2009-06-23 13:14:46 EDT
I downloaded and installed RPM from Koji and it so far it works great.
Comment 22 Kevin Fenzi 2009-06-28 21:36:32 EDT

I am going to go ahead and push this version into rawhide now and let it get a bit more testing. If things look ok, I will update f11 after a bit. :) 

Thanks everyone for your patience.
Comment 23 Valent Turkovic 2009-06-29 04:12:33 EDT
Sorry for this lame question - but if goes to rawhide will it also be in updates-testing for F11 so I can also test it and provide feedback?
Comment 24 Fedora Update System 2009-07-04 01:54:33 EDT
gpsdrive-2.10-0.1.pre7.fc11 has been submitted as an update for Fedora 11.
Comment 25 Kevin Fenzi 2009-07-04 01:56:21 EDT
Nope. rawhide just means it's heading for the next release (f12). 

I did however just do a testing build for f11. ;) 
See the link in comment #24, test and please provide feedback there or here.
Comment 26 Fedora Update System 2009-07-11 13:27:44 EDT
gpsdrive-2.10-0.1.pre7.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gpsdrive'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7502
Comment 27 Kevin Fenzi 2009-07-28 23:09:37 EDT
Any folks here wish to add karma to the F-11 update? 

I hate to push it to stable without some more testers, as it's a big change from the 2.09 version. Please test and add karma to the update in comment #26.
Comment 28 Fedora Update System 2009-08-04 20:39:44 EDT
gpsdrive-2.10-0.1.pre7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Valent Turkovic 2009-08-07 15:47:50 EDT
gpsdrive works ok on fedora 11

Note You need to log in before you can comment on or make changes to this bug.